/*
 *  This sketch sends a message to a TCP server
 *
 */

#include <ESP8266WiFi.h>
#include <ESP8266WiFiMulti.h>
#include <WiFiClientSecure.h>
#include <Adafruit_BMP085.h>

ESP8266WiFiMulti WiFiMulti;
Adafruit_BMP085 bmp;

const char* SSID = "LABBELL";
const char* PASSWORD = "label";

//des variables que l'on utilisera plus tard 
float temperature = 22.0;
float pression = 1.0;

void setup() {
    Serial.begin(115200);
    delay(10);

    // We start by connecting to a WiFi network
    WiFiMulti.addAP(SSID, PASSWORD);

    Serial.println();
    Serial.println();
    Serial.print("Wait for WiFi... ");

    while(WiFiMulti.run() != WL_CONNECTED) {
        Serial.print(".");
        delay(500);
    }

    Serial.println("");
    Serial.println("WiFi connected");
    Serial.println("IP address: ");
    Serial.println(WiFi.localIP());

    delay(500);
    Wire.begin(4, 5); 
  if (!bmp.begin()) {
  Serial.println("Could not find a valid BMP085 sensor, check wiring!");
  while (1) {}
  }
}


void loop() {
    const uint16_t port = 443;
    const char * host = "pbellevue.libreedu.ovh"; // ip or dns
    //visibement la clef
    const char* fingerprint ="78 B9 8F 52 19 39 25 65 3F A8 E0 1A DD F1 E9 10 2 6D B4 CB";
    
    
    Serial.print("connecting to ");
    Serial.println(host);

    // Use WiFiClient class to create TCP connections
    WiFiClientSecure client;

    if (!client.connect(host, port)) {
        Serial.println("connection failed");
        Serial.println("wait 5 sec...");
        delay(5000);
        return;
    }
    if (client.verify(fingerprint, host)) {
      Serial.println("certificate matches");
     } else {
    Serial.println("certificate doesn't match");
    }
    //lecture sur le bmp
    temperature=bmp.readTemperature();
    pression=bmp.readPressure();
    //préparation de la requete de type string (chaine de caractères)
    String url = "/dev/isn2017/projets/g2/cloud/recupdonnees.php";
    url += "?login=roger&temp=";
    url += temperature;
    url += "&press=";
    url += pression;
    // This will send the request to the server
    
    Serial.print("Requesting URL: ");
    Serial.println(url);
    
    // This will send the request to the server
    client.print(String("GET ") + url + " HTTP/1.1\r\n" +
               "Host: " + host + "\r\n" +
               "Connection: close\r\n\r\n");
    unsigned long timeout = millis();
    while (client.available() == 0) {
        if (millis() - timeout > 5000) {
        Serial.println(">>> Client Timeout !");
        client.stop();
        return;
      }
    }

  // Read all the lines of the reply from server and print them to Serial
  while (client.available()) {
    String line = client.readStringUntil('\r');
    Serial.print(line);
}
    Serial.println("closing connection");
    client.stop();
    
    Serial.println("wait 5 sec...");
    delay(60000);
}

